Manual:Pywikibot/Overview

From MediaWiki.org
Jump to: navigation, search

Other languages:
български • ‎català • ‎Deutsch • ‎Ελληνικά • ‎English • ‎español • ‎فارسی • ‎français • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎Bân-lâm-gú • ‎polski • ‎português do Brasil • ‎русский • ‎українська • ‎中文

Pywikibot is a Python library and collection of tools that automate work on MediaWiki sites. Originally designed for Wikipedia, it is now used throughout the Wikimedia Foundation's projects and on many other MediaWiki wikis.

The project started in 2002 and is currently on core version 3.0. It features full APIAPI:Main page usage and is up-to-date with new MediaWiki features and a Pythonic package layout. But it also works with older installations of MediaWiki 1.14MediaWiki 1.14 or higher.

Pywikibot supports Microsoft Windows, OS X and Linux when used with a compatible version of Python. It should also work on any other operating system that has a compatible version of Python installed. To check whether you have Python installed and to find its version, just type "python" at the CMD or shell prompt. Python 2.7.2 or higher or Python 3.3 or higher is required to run the bot but 2.7.9 or 3.4 and higher is recommended due to the python package installer (pip) shipped with newer releases. Python 2.6.5 — 2.6.9 should also work but this is deprecated and support will be dropped sometime in the future.

License[edit]

Here you can view the LICENSE files for Pywikibot.

Other licenses[edit]